package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiResult;
import com.seewo.open.sdk.HttpResponse;

/**
 * seewo-open API: 批量添加班级学生
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class StudentServiceBatchSaveClassStudentsResult extends OpenApiResult {

    public StudentServiceBatchSaveClassStudentsResult(HttpResponse response) {
        super(response);
    }


    /**
     * 响应体，MimeType为 application/json
     */

    private JSONResponseBody responseBody;


    public JSONResponseBody getResponseBody() {
        return this.responseBody;
    }

    public void setResponseBody(JSONResponseBody responseBody) {
        this.responseBody = responseBody;
    }

    public static class JSONResponseBody {
        /**
         *
         */
        private String code;
        /**
         *
         */
        private String message;
        /**
         *
         */
        private List<StudentInfoDto> data;

        public String getCode() {
            return this.code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getMessage() {
            return this.message;
        }

        public void setMessage(String message) {
            this.message = message;
        }

        public List<StudentInfoDto> getData() {
            return this.data;
        }

        public void setData(List<StudentInfoDto> data) {
            this.data = data;
        }

    }

    public static class StudentInfoDto {
        /**
         *  用户ID
         */
        private String userUid;
        /**
         *  用户名
         */
        private String userName;
        /**
         *  学号
         */
        private String studentCode;
        /**
         *  性别
         */
        private Integer gender;
        /**
         *  头像
         */
        private String photoUrl;
        /**
         *  卡号
         */
        private String cardId;
        /**
         *  家长信息
         */
        private List<ParentInfoDto> parents;

        public String getUserUid() {
            return this.userUid;
        }

        public void setUserUid(String userUid) {
            this.userUid = userUid;
        }

        public String getUserName() {
            return this.userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getStudentCode() {
            return this.studentCode;
        }

        public void setStudentCode(String studentCode) {
            this.studentCode = studentCode;
        }

        public Integer getGender() {
            return this.gender;
        }

        public void setGender(Integer gender) {
            this.gender = gender;
        }

        public String getPhotoUrl() {
            return this.photoUrl;
        }

        public void setPhotoUrl(String photoUrl) {
            this.photoUrl = photoUrl;
        }

        public String getCardId() {
            return this.cardId;
        }

        public void setCardId(String cardId) {
            this.cardId = cardId;
        }

        public List<ParentInfoDto> getParents() {
            return this.parents;
        }

        public void setParents(List<ParentInfoDto> parents) {
            this.parents = parents;
        }

    }

    public static class ParentInfoDto {
        /**
         *  家长名
         */
        private String name;
        /**
         *  家长号码
         */
        private String phone;
        /**
         *
         */
        private Integer index;

        public String getName() {
            return this.name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPhone() {
            return this.phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public Integer getIndex() {
            return this.index;
        }

        public void setIndex(Integer index) {
            this.index = index;
        }

    }


}

